import App from './App'
import uView from "uview-ui";
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
Vue.use(uView);

//自定义组件
import My_listbox from './components/My_listbox.vue';
Vue.component("My_listbox", My_listbox);
import My_search from './components/My_search.vue';
Vue.component("My_search", My_search);
import filtrate from './components/filtrate.vue';
Vue.component("filtrate", filtrate);
import appList from './components/appList.vue';
Vue.component("appList", appList);

//挂载接口
let isDev = process.env.NODE_ENV === 'development';
console.log('运行环境' + process.env.NODE_ENV, isDev ? '开发' : '生产');
const http = {};
// #ifdef H5
http.baseUrl = isDev ? "/apis1" : "/apis";
http.socket = isDev ? "/socket1" : "/socket";
// #endif
// #ifndef H5
http.baseUrl = isDev ? "http://61.164.207.46:8200" : "https://www.ibpchina.com.cn";
http.socket = isDev ? "ws://61.164.207.46:8200" : "wss://www.ibpchina.com.cn";
// #endif
console.log("接口地址", http)

import {
  ApiModel
} from './utils/api'
Vue.prototype.$Http = new ApiModel(http);

App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
  createSSRApp
} from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif